Component({
  data: {
    loading: false,
    refreshIcon: 'http://static.yutao2012.com/%E5%88%B7%E6%96%B0.png'
  },
  props: {
    cardInfo: {}
  },

  didUpdate() {},

  didUnmount() {},

  methods: {
    async onRefresh() {
      const {
        healthCardId
      } = this.props.cardInfo;
      await this.props.onRefresh(healthCardId);
    },

    onBack() {
      this.props.onBackCard();
    }

  }
});